import { ConnectorUpdate } from '@web3-react/types';
import { AbstractConnector } from '@web3-react/abstract-connector';
import Web3ProviderEngine from 'web3-provider-engine';
export interface NetworkConnectorArguments {
    url: string;
    chainId: number;
    pollingInterval?: number;
    requestTimeoutMs?: number;
}
export declare class NetworkConnector extends AbstractConnector {
    private readonly url;
    private readonly chainId;
    private readonly pollingInterval?;
    private readonly requestTimeoutMs?;
    private provider;
    constructor({ url, chainId, pollingInterval, requestTimeoutMs }: NetworkConnectorArguments);
    activate(): Promise<ConnectorUpdate>;
    getProvider(): Promise<Web3ProviderEngine>;
    getChainId(): Promise<number>;
    getAccount(): Promise<null>;
    deactivate(): void;
}
